OpenNMS API 1.2.9

## org.opennms.core.queue
Class FifoQueueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.core.queue.FifoQueueException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FifoQueueClosedException

public class FifoQueueException
extends java.lang.Exception

The root of all exceptions dealing with queues that implement the `FifoQueue`interface. This exception is the general purpose exception that is thrown when a queue error occurs.

Author:
  Brian Weaver , OpenNMS.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`FifoQueueException()` Constructs a default instance of the exception with no message.
`FifoQueueException(java.lang.String why)` Constructs a new instace of the exception with the specific message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FifoQueueException

    public FifoQueueException()

  Constructs a default instance of the exception with no message.

### FifoQueueException

    public FifoQueueException(java.lang.String why)

  Constructs a new instace of the exception with the specific message.

Parameters:
  `why` - The message associated with the exception

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.